Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.tracking.events
Class RuleEvent

    java.lang.Object
      com.bea.p13n.property.AbstractConfigurableEntity
          com.bea.p13n.events.Event
              com.bea.p13n.tracking.events.TrackingEvent
                  com.bea.p13n.tracking.events.RuleEvent

All Implemented Interfaces
  EventConstants, ConfigurableEntity, Serializable

    public class RuleEvent

extends TrackingEvent

Event for tracking firing of Rules

See Also
  Serialized Form

Field Summary
`static String` | `RULE_NAME` Event attribute key name for Rule name Attribute value is a String
`static String` | `RULESET_NAME` Event attribute key name for RuleSet name Attribute value is a String
`static String` | `TYPE` Event Type

Fields inherited from class com.bea.p13n.tracking.events.TrackingEvent
`REQUEST, SESSION_ID, USER_ID, USER_TYPE`

Fields inherited from class com.bea.p13n.property.AbstractConfigurableEntity
`CE_METHOD_CACHE, instanceClass, PREFIX_GET, PREFIX_SET, propertyCache, textFormatter`

Fields inherited from interface com.bea.p13n.property.ConfigurableEntity
`RESERVED_PROPERTY_SET`

Fields inherited from interface com.bea.p13n.events.EventConstants
`TYPE_ALL`

Constructor Summary
`RuleEvent(javax.servlet.http.HttpSession session, String ruleSetName, String ruleName)` Create a new RuleEvent.
`RuleEvent(String theSessionId, String theUserId, String aRuleSetName, String aRuleName)` Deprecated Use RuleEvent(HttpSession, String rulesetName, String ruleName);

Method Summary

Methods inherited from class com.bea.p13n.tracking.events.TrackingEvent
`getSchemaKeys, getSession, getXMLNamespace, getXSDFile, setSchemaKeys, setSession, setXMLNamespace, setXSDFile`

Methods inherited from class com.bea.p13n.events.Event
`getApplication, getAttribute, getAttributeNames, getProperty, getTimeStamp, getType, removeAttribute, setApplication, setAttribute, toString`

Methods inherited from class com.bea.p13n.property.AbstractConfigurableEntity
`createMapKey, getCachedProperty, getExplicitProperty, getExplicitSetter, getImplicitProperty, getJndiName, getPkString, getPropertyAsString, getPropertyCache, getPropertyNoDefault, getUniqueId, hasExplicitGetter, hasExplicitSetter, removeExplicitProperty, removeProperty, setExplicitProperty, setProperty, upcaseFirst`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.bea.p13n.property.ConfigurableEntity
`getJndiName, getPkString, getPropertyAsString, getPropertyNoDefault, getUniqueId, removeProperty, setProperty`

Field Detail

### TYPE

    public static final String TYPE

  Event Type

  See Also
    Constants Summary

### RULESET_NAME

    public static final String RULESET_NAME

  Event attribute key name for RuleSet name Attribute value is a String

  See Also
    Constants Summary

### RULE_NAME

    public static final String RULE_NAME

  Event attribute key name for Rule name Attribute value is a String

  See Also
    Constants Summary

Constructor Detail

### RuleEvent

    public RuleEvent(javax.servlet.http.HttpSession session,
                     String ruleSetName,
                     String ruleName)

  Create a new RuleEvent. This ctor must be used for tracking anonymous users.

  Parameters
    `session` - the HttpSession from the application servlet. Cannot be null.
    `ruleSetName` - Name of the ruleset that fired.
    `ruleName` - Name of the rule that fired.

### RuleEvent

    public RuleEvent(String theSessionId,
                     String theUserId,
                     String aRuleSetName,
                     String aRuleName)

  Deprecated Use RuleEvent(HttpSession, String rulesetName, String ruleName);

  Create a new RuleEvent.

  Parameters
    `theSessionId` - from HttpSession.getId()
    `theUserId` - from HttpServletRequest.getRemoteUser() or equivalent (null if unknown)
    `aRuleSetName` - Name of the ruleset that fired.
    `aRuleName` - Name of the rule that fired.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.